Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class HLEntityImpl<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.EntityImpl<E>
          fr.inrialpes.exmo.ontosim.entity.model.HLEntityImpl<E>

All Implemented Interfaces:
  Entity<E>, HLEntity<E>

Direct Known Subclasses:
  HLClassImpl, HLIndividualImpl, HLPropertyImpl

    public abstract class HLEntityImpl<E>

extends EntityImpl<E>
implements HLEntity<E>

Field Summary
`protected HLEntityFactory<E>` | `fact`
`protected fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E>` | `onto`

Constructor Summary
`protected` | `HLEntityImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont, E e)`

Method Summary
`boolean` | `getCapabilities(int direct, int asserted, int named)`
`protected int` | `getIdx(int local, int asserted, int named)`
`fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E>` | `getOntology()`

Methods inherited from class fr.inrialpes.exmo.ontosim.entity.model.EntityImpl
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontosim.entity.model.Entity
`getAnnotations, getComments, getLabels, getObject, getURI, isClass, isDataProperty, isIndividual, isObjectProperty, isProperty`

Field Detail

### onto

    protected fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> onto

### fact

    protected HLEntityFactory<E> fact

Constructor Detail

### HLEntityImpl

    protected HLEntityImpl(fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> ont,
                           E e)

Method Detail

### getCapabilities

    public boolean getCapabilities(int direct,
                                   int asserted,
                                   int named)

### getIdx

    protected final int getIdx(int local,
                               int asserted,
                               int named)

### getOntology

    public fr.inrialpes.exmo.ontowrap.HeavyLoadedOntology<E> getOntology()

  Specified by:
    `getOntology` in interface `Entity<E>`
  Specified by:
    `getOntology` in interface `HLEntity<E>`
  Overrides:
    `getOntology` in class `EntityImpl<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009